{
  description = "My project";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-24.11";
    flake-compat = {
      url = "github:edolstra/flake-compat";
      flake = false;
    };
  };

  outputs = { nixpkgs, flake-compat, ... }:
    let
      inherit (nixpkgs) lib;

      forAllSystems = systems: buildPackages:
        lib.genAttrs systems (system: buildPackages nixpkgs.legacyPackages.${system});

      buildPackages = systems: packageOverrides:
        forAllSystems systems (
          pkgs: builtins.mapAttrs (_: pkgs.callPackage ./huenicorn.nix) (packageOverrides pkgs)
        );

      unixPackages = buildPackages lib.platforms.unix (pkgs: {
        default = { };
        huenicorn = { };
      });
    in
    {
      packages = unixPackages;
    };
}
